Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.workplace.wcm.api
Interface LibraryNumericComponent

All Superinterfaces:
  Document, Editable, EditableItem, EditableLibraryComponent, Hierarchical, Item, LibraryComponent, Localized, WCMApiObject, WorkflowedDocument

    public interface LibraryNumericComponent

extends EditableLibraryComponent

Represents a Number component.

A `LibraryNumericComponent` is a `LibraryComponent` and must be stored as a separate entity in the repository.

The `LibraryNumericComponent` can contain Number. This interface provides methods to retrieve and set the Number contained within this component.

note: since `v6.0.0`, a `LibraryNumericComponent` is referred to as a `"Number Component"`in the Authoring UI.``

See Also:
  `LibraryComponent`

Field Summary
`static int` | `TYPE_DOUBLE` Type constant indicating that the `Number` returned will be a double.
`static int` | `TYPE_INTEGER` Type constant indicating that the `Number` returned will be an integer.

Method Summary
`java.lang.Number` | `getNumber()` Returns the Number contained in this component as a `Number`.
`int` | `getNumberType()` Returns the number type of this `NumberComponent`.
`void` | `setNumber(java.lang.Number number)` Sets the Number contained in this `NumericComponent`.
`void` | `setNumberType(int numberType)` Sets the number type contained in this `NumericComponent`.

Methods inherited from interface com.ibm.workplace.wcm.api.Hierarchical
`getParentId`

Methods inherited from interface com.ibm.workplace.wcm.api.Editable
`addAuthors, addContributorAccessMembers, addDeleteAccessMembers, addEditAccessMembers, addEditorAccessMembers, addHistoryLogEntry, addLiveAccessMembers, addManagerAccessMembers, addMembersForAccess, addOwners, addReadAccessMembers, addUserAccessMembers, isChanged, removeAuthors, removeContributorAccessMembers, removeDeleteAccessMembers, removeEditAccessMembers, removeEditorAccessMembers, removeLiveAccessMembers, removeManagerAccessMembers, removeMembersForAccess, removeOwners, removeReadAccessMembers, removeUserAccessMembers, setContributorAccessInheritance, setDescriptionTextProviderKey, setDescriptionTextProviderName, setEditorAccessInheritance, setInheritance, setManagerAccessInheritance, setPropagation, setTitleTextProviderKey, setTitleTextProviderName, setUserAccessInheritance`

Methods inherited from interface com.ibm.workplace.wcm.api.Document
`getAuthors, getContributorAccessMembers, getCreator, getDeleteAccessMembers, getDescription, getDescriptionTextProviderKey, getDescriptionTextProviderName, getEditAccessMembers, getEditorAccessMembers, getHistoryLog, getId, getInheritedContributorAccessMembers, getInheritedEditorAccessMembers, getInheritedManagerAccessMembers, getInheritedUserAccessMembers, getLastModifier, getLiveAccessMembers, getManagerAccessMembers, getMembersForAccess, getMembersForInheritedAccess, getOwnerLibrary, getOwners, getProject, getReadAccessMembers, getSourceWorkspace, getTitle, getTitleTextProviderKey, getTitleTextProviderName, getUserAccessMembers, getVersionCatalog, getVersionStrategy, hasDeleteAccess, hasDeleteAccess, hasEditAccess, hasEditAccess, hasLiveAccess, hasLiveAccess, hasProject, hasReadAccess, hasReadAccess, isContributorAccessInherited, isEditorAccessInherited, isInherited, isManagerAccessInherited, isNew, isPropagated, isUserAccessInherited, isWorkflowed`

Methods inherited from interface com.ibm.workplace.wcm.api.Item
`getCreationDate, getDescription, getIdentity, getModifiedDate, getName, getTitle`

Methods inherited from interface com.ibm.portal.Localized
`getLocales`

Methods inherited from interface com.ibm.workplace.wcm.api.EditableItem
`setDescription, setName, setTitle`

Methods inherited from interface com.ibm.workplace.wcm.api.WorkflowedDocument
`addAdditionalViewers, addApprovers, approve, cancelDraftDocument, clearApprovers, createDraftDocument, decline, decline, getAdditionalViewers, getCurrentApprovers, getDateEnteredStage, getEffectiveDate, getExpiryDate, getGeneralDateOne, getGeneralDateTwo, getPendingWorkflowStatus, getPublishedDate, getPublishedId, getWorkflowId, getWorkflowStageId, getWorkflowStatus, hasApproverAccess, hasApproverAccess, hasDraft, isDraft, isDraftOfPublishedDocument, isExpired, isPublished, isWorkflowMovingBackward, nextWorkflowStage, nextWorkflowStage, nextWorkflowStage, previousWorkflowStage, previousWorkflowStage, removeAdditionalViewers, removeApprovers, restartWorkflow, setEffectiveDate, setExpiryDate, setGeneralDateOne, setGeneralDateTwo, setWorkflowId, setWorkflowId`

Field Detail

### TYPE_INTEGER

    static final int TYPE_INTEGER

  Type constant indicating that the `Number` returned will be an integer.

  See Also:
    Constant Field Values

### TYPE_DOUBLE

    static final int TYPE_DOUBLE

  Type constant indicating that the `Number` returned will be a double.

  See Also:
    Constant Field Values

Method Detail

### getNumber

    java.lang.Number getNumber()

  Returns the Number contained in this component as a `Number`.

  Returns `null` if the Number is not set.

  Returns:
    the Number

### setNumber

    void setNumber(java.lang.Number number)
                   throws OperationFailedException

  Sets the Number contained in this `NumericComponent`.

  Note. This method replaces any existing Number in this component.

  Parameters:
    `number` - the Number
  Throws:
    `OperationFailedException` - if the Number argument is `null` or the Number could not be set

### getNumberType

    int getNumberType()

  Returns the number type of this `NumberComponent`.

  Returns the default value `LibraryNumericComponent.TYPE_INTEGER` if the new number type has been set.

  Returns:
    the number type

### setNumberType

    void setNumberType(int numberType)
                       throws OperationFailedException

  Sets the number type contained in this `NumericComponent`.

  Valid values are:

  - TYPE_INTEGER - Number type integer
  - TYPE_DOUBLE - Number type double

  Parameters:
    `numberType` - the number type to be set
  Throws:
    `OperationFailedException` - if an invalid type was specified

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD